List reservation units
curl --request GET \
--url https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units \
--header 'Authorization: Bearer <token>'import requests
url = "https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"regionId": "uk-lon-1",
"accelerator": "GB300",
"unit": "NVL72",
"machineFlavorId": "g.72.gb300.pinned",
"deviceTypeResourceClass": "GB300_HOST",
"hostsPerUnit": 18,
"cpusPerUnit": 2592,
"gpusPerUnit": 72,
"gpuMemoryPerUnit": 20736,
"memoryPerUnit": 17280,
"host": {
"cpus": 144,
"memory": 960,
"disk": 0,
"gpu": {
"vendor": "NVIDIA",
"model": "GB300",
"physicalCount": 4,
"logicalCount": 4,
"memory": 288
}
},
"availableUnitCount": 4,
"largestContiguousUnitCount": 3,
"totalCount": 8
},
{
"regionId": "us-chi-1",
"accelerator": "GB300",
"unit": "NVL72",
"machineFlavorId": "gb300-nvl72-metal",
"deviceTypeResourceClass": "GB300_HOST",
"hostsPerUnit": 18,
"cpusPerUnit": 2592,
"gpusPerUnit": 72,
"gpuMemoryPerUnit": 20736,
"memoryPerUnit": 17280,
"host": {
"cpus": 144,
"memory": 960,
"disk": 0,
"gpu": {
"vendor": "NVIDIA",
"model": "GB300",
"physicalCount": 4,
"logicalCount": 4,
"memory": 288
}
},
"availableUnitCount": 2,
"largestContiguousUnitCount": 2,
"totalCount": 6
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Reservation Units
List reservation units
List reservation units.
GET
/
api
/
v2
/
reservation-units
List reservation units
curl --request GET \
--url https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units \
--header 'Authorization: Bearer <token>'import requests
url = "https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://reservation.nks.europe-west4.nscale.com/api/v2/reservation-units")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"regionId": "uk-lon-1",
"accelerator": "GB300",
"unit": "NVL72",
"machineFlavorId": "g.72.gb300.pinned",
"deviceTypeResourceClass": "GB300_HOST",
"hostsPerUnit": 18,
"cpusPerUnit": 2592,
"gpusPerUnit": 72,
"gpuMemoryPerUnit": 20736,
"memoryPerUnit": 17280,
"host": {
"cpus": 144,
"memory": 960,
"disk": 0,
"gpu": {
"vendor": "NVIDIA",
"model": "GB300",
"physicalCount": 4,
"logicalCount": 4,
"memory": 288
}
},
"availableUnitCount": 4,
"largestContiguousUnitCount": 3,
"totalCount": 8
},
{
"regionId": "us-chi-1",
"accelerator": "GB300",
"unit": "NVL72",
"machineFlavorId": "gb300-nvl72-metal",
"deviceTypeResourceClass": "GB300_HOST",
"hostsPerUnit": 18,
"cpusPerUnit": 2592,
"gpusPerUnit": 72,
"gpuMemoryPerUnit": 20736,
"memoryPerUnit": 17280,
"host": {
"cpus": 144,
"memory": 960,
"disk": 0,
"gpu": {
"vendor": "NVIDIA",
"model": "GB300",
"physicalCount": 4,
"logicalCount": 4,
"memory": 288
}
},
"availableUnitCount": 2,
"largestContiguousUnitCount": 2,
"totalCount": 6
}
]{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Authorizations
Query Parameters
Response
A list of reservation units.
Was this page helpful?